Package es.imim.DISGENET.tool

# Class HelperFunctions

java.lang.Object
es.imim.DISGENET.tool.HelperFunctions

public class HelperFunctions extends Object
The DISGENET Cytoscape App is designed to visualize, query, and analyze a network representation of DISGENET data.

Copyright (C) 2024 MEDBIOINFORMATICS SOLUTIONS SL

This file is part of the DISGENET Cytoscape App. The DISGENET Cytoscape App is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version.

The DISGENET Cytoscape App is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the DISGENET Cytoscape App. If not, see http://www.gnu.org/licenses/.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`HelperFunctions.byLineLengthAsc`
`class`
`HelperFunctions.byLineLengthDesc`
functions to sort string lists by line length

## Constructor Summary

Constructors
Constructor
Description
`HelperFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`checkStringIsNotEmpty(String string)`
`static List<String>`
`diseaseClassSplitter(List<String> disClasses)`
Iterates from a list of combinations of diseases classes and returns de disease classes found in non-repeated values array.
`static String`
`implodeInteger(String glue, Collection<Integer> list)`
`static String`
`implodeString(String glue, Collection<String> list)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HelperFunctions

public HelperFunctions()

## Method Details

### checkStringIsNotEmpty

public static boolean checkStringIsNotEmpty(String string)

### diseaseClassSplitter

public static List<String> diseaseClassSplitter(List<String> disClasses)
Iterates from a list of combinations of diseases classes and returns de disease classes found in non-repeated values array.

Parameters:
  `disClasses` - the list of diseases classes
Returns:
  all the disease classes found non-repeated.

### implodeString

public static String implodeString(String glue, Collection<String> list)

### implodeInteger

public static String implodeInteger(String glue, Collection<Integer> list)